| xmonad-contrib-0.8.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Layout.NoBorders

Portability | unportable
Stability | unstable
Maintainer | Spencer Janssen <spencerjanssen@gmail.com>

Contents

Usage

Description
Make a given layout display without borders. This is useful for full-screen or tabbed layouts, where you don't really want to waste a couple of pixels of real estate just to inform yourself that the visible window has focus.
Synopsis

noBorders :: LayoutClass l Window => l Window -> ModifiedLayout WithBorder l Window
smartBorders :: LayoutClass l a => l a -> ModifiedLayout SmartBorder l a
withBorder :: LayoutClass l a => Dimension -> l a -> ModifiedLayout WithBorder l a

Usage

You can use this module with the following in your ~/.xmonad/xmonad.hs file:

     import XMonad.Layout.NoBorders

and modify the layouts to call noBorders on the layouts you want to lack borders:

     layoutHook = ... ||| noBorders Full ||| ...

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

noBorders :: LayoutClass l Window => l Window -> ModifiedLayout WithBorder l Window | Source

Removes all window borders from the specified layout.

smartBorders :: LayoutClass l a => l a -> ModifiedLayout SmartBorder l a | Source

Removes the borders from a window under one of the following conditions:

- There is only one screen and only one window. In this case it's obvious that it has the focus, so no border is needed.
- A floating window covers the entire screen (e.g. mplayer).

withBorder :: LayoutClass l a => Dimension -> l a -> ModifiedLayout WithBorder l a | Source

Forces a layout to use the specified border width. `noBorders` is equivalent to ``withBorder` 0`.
Produced by Haddock version 2.4.2